Skip to main content
POST
Pay the remaining balance of an accepted catering job

Authorizations

X-Catering-Token
string
header
required

Event and location scoped customer catering capability. Never place in query parameters.

Headers

Idempotency-Key
string
required

Caller-stable key reused only for retries of this exact request.

Required string length: 16 - 128
Pattern: ^[A-Za-z0-9._:-]{16,128}$

Path Parameters

locationId
string
required
Required string length: 1 - 128
eventId
string
required
Required string length: 1 - 128

Body

application/json
quoteId
string
required
Required string length: 1 - 128
offerFingerprint
string
required
Minimum string length: 1

Response

A checkout for the whole remaining balance, priced by the server, or no_balance when nothing is left to pay.

outcome
enum<string>
required
Available options:
checkout
checkoutUrl
string
required
expiresAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
dueNow
string
required
Pattern: ^-?\d+(?:\.\d+)?$
remaining
string
required
Pattern: ^-?\d+(?:\.\d+)?$